Skip to main content
`Ctrl`+`K`

# MatSeqAIJHIPSPARSEGetArrayRead

gives read-only access to the array where the device data for a `MATSEQAIJHIPSPARSE` matrix is stored

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJHIPSPARSEGetArrayRead(Mat A, const PetscScalar *a[])

Not Collective

## Input Parameter

- A - a `MATSEQAIJHIPSPARSE` matrix

## Output Parameter

- a - pointer to the device data

## Note

May trigger host-device copies if the up-to-date matrix data is on host

## See Also

Matrices, `Mat`, `MatSeqAIJHIPSPARSEGetArray()`, `MatSeqAIJHIPSPARSEGetArrayWrite()`, `MatSeqAIJHIPSPARSERestoreArrayRead()`

## Level

developer

## Location

src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages